/**
 * meta 参数说明
 * form:表单路由，存在或ture,也要后台配置，前端校验
 * mode:功能入口路由，存在或ture,也要后台配置，前端校验
 */
const routesXsy = [
	/***公共***/
	{
		path: '/xsy',
		component: () => import('../views-xsy/Layout.vue'),
		children: [
			//审批
			{
				path: 'approval',
				component: () => import('../views-xsy/Layout.vue'),
				children: [
					//审批-统计
					{
						path: 'statistics',
						name: 'XsyApprovalStatistics',
						component: () => import('../views-xsy/Approval/Statistics.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '申请统计',
						}
					}, 
					//审批-个人
					{
						path: 'info',
						name: 'XsyApprovalInfo',
						component: () => import('../views-xsy/Approval/Info.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '申请详情',
						}
					},
					//审批-领导
					{
						path: 'infosp',
						name: 'XsyApprovalInfoSp',
						component: () => import('../views-xsy/Approval/InfoSp.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '申请详情',
						}
					},
					//审批列表-领导
					{
						path: 'list',
						name: 'XsyApprovalList',
						component: () => import('../views-xsy/Approval/List.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '申请列表',
						}
					},
					//审批列表-待办
					{
						path: 'need',
						name: 'XsyApprovalNeed',
						component: () => import('../views-xsy/Approval/Need.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '申请列表',
						}
					},
					
				]
			},
			
			//申请调班
			{
				path: 'applyClass',
				component: () => import('../views-xsy/Layout.vue'),
				children: [
					//调班记录
					{
						path: 'list',
						name: 'XsyApplyClassList',
						component: () => import('../views-xsy/ApplyClass/List.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '调班记录',
						}
					},
					//申请调班
					{
						path: 'add',
						name: 'XsyApplyClassAdd',
						component: () => import('../views-xsy/ApplyClass/Add.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '申请调班',
						}
					},
					//选择班次
					{
						path: 'class',
						name: 'XsyApplyClassClass',
						component: () => import('../views-xsy/ApplyClass/Class.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '申请调班',
						}
					},
					//申请详情
					{
						path: 'info',
						name: 'XsyApplyClassInfo',
						component: () => import('../views-xsy/ApplyClass/Info.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '申请详情',
						}
					},
					//申请详情
					{
						path: 'my',
						name: 'XsyApplyClassMy',
						component: () => import('../views-xsy/ApplyClass/My.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '排班表',
						}
					},
					
				]
			},
			//安排调班
			{
				path: 'planClass',
				component: () => import('../views-xsy/Layout.vue'),
				children: [
					//排班记录
					{
						path: 'list',
						name: 'XsyPlanClassList',
						component: () => import('../views-xsy/PlanClass/List.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '排班记录',
						}
					},
					//安排调班
					{
						path: 'add',
						name: 'XsyPlanClassAdd',
						component: () => import('../views-xsy/PlanClass/Add.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '安排调班',
						}
					},
					//选择人员
					{
						path: 'person',
						name: 'XsyPlanClassPerson',
						component: () => import('../views-xsy/PlanClass/Person.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '选择人员',
						}
					},
					//选择班次
					{
						path: 'class',
						name: 'XsyPlanClassClass',
						component: () => import('../views-xsy/PlanClass/Class.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '选择班次',
						}
					},
					//调班详情
					{
						path: 'info',
						name: 'XsyPlanClassInfo',
						component: () => import('../views-xsy/PlanClass/Info.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '调班详情',
						}
					},
					
					
				]
			},//调班审核
			{
				path: 'approvalClass',
				component: () => import('../views-xsy/Layout.vue'),
				children: [
					
					//调班审核
					{
						path: 'list',
						name: 'XsyApprovalClassList',
						component: () => import('../views-xsy/ApprovalClass/List.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '调班审核',
						}
					},
					
					//调班申请详情
					{
						path: 'info',
						name: 'XsyApprovalClassInfo',
						component: () => import('../views-xsy/ApprovalClass/Info.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '调班申请详情',
						}
					},
					
				]
			},{//批量补卡
				path: 'cardReplacement',
				component: () => import('../views-xsy/Layout.vue'),
				children: [
					//批量补卡记录
					{
						path: 'list',
						name: 'XsyCardReplacementList',
						component: () => import('../views-xsy/CardReplacement/List.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '批量补卡记录',
						}
					},
					//申请补卡
					{
						path: 'add',
						name: 'XsyCardReplacementAdd',
						component: () => import('../views-xsy/CardReplacement/Add.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '申请补卡',
						}
					},
					//选择人员
					{
						path: 'person',
						name: 'XsyCardReplacementPerson',
						component: () => import('../views-xsy/CardReplacement/Person.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '选择人员',
						}
					},
					//申请详情
					{
						path: 'info',
						name: 'XsyCardReplacementInfo',
						component: () => import('../views-xsy/CardReplacement/Info.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '申请详情',
						}
					},
					
					//审批列表
					{
						path: 'splist',
						name: 'XsyCardReplacementSplist',
						component: () => import('../views-xsy/CardReplacement/Splist.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '审批列表',
						}
					},
					
				]
			},{//批量加班
				path: 'workOvertime',
				component: () => import('../views-xsy/Layout.vue'),
				children: [
					//批量加班记录
					{
						path: 'list',
						name: 'XsyWorkOvertimeList',
						component: () => import('../views-xsy/WorkOvertime/List.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '批量加班记录',
						}
					},
					//申请加班
					{
						path: 'add',
						name: 'XsyWorkOvertimeAdd',
						component: () => import('../views-xsy/WorkOvertime/Add.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '申请加班',
						}
					},
					//批量加班记录
					{
						path: 'list3',
						name: 'XsyWorkOvertimeList3',
						component: () => import('../views-xsy/WorkOvertime/List3.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '安排加班记录',
						}
					},
					//申请加班
					{
						path: 'add3',
						name: 'XsyWorkOvertimeAdd3',
						component: () => import('../views-xsy/WorkOvertime/Add3.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '安排加班',
						}
					},
					//选择人员
					{
						path: 'person',
						name: 'XsyWorkOvertimePerson',
						component: () => import('../views-xsy/WorkOvertime/Person.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '选择人员',
						}
					},
					//申请详情
					{
						path: 'info',
						name: 'XsyWorkOvertimeInfo',
						component: () => import('../views-xsy/WorkOvertime/Info.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '申请详情',
						}
					},
					//审批列表
					{
						path: 'verifyList',
						name: 'XsyWorkOvertimeVerifyList',
						component: () => import('../views-xsy/WorkOvertime/VerifyList.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '申请详情',
						}
					},
					
				]
			},{//携物出场
				path: 'commerce',
				component: () => import('../views-xsy/Layout.vue'),
				children: [
					//携出申请列表
					{
						path: 'list',
						name: 'XsyCommerceList',
						component: () => import('../views-xsy/Commerce/List.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '携出申请列表',
						}
					},
					//携带物品申请
					{
						path: 'add',
						name: 'XsyCommerceAdd',
						component: () => import('../views-xsy/Commerce/Add.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '携带物品申请',
						}
					},
					//携出申请详情
					{
						path: 'info2',
						name: 'XsyCommerceInfo2',
						component: () => import('../views-xsy/Commerce/Info2.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '携出申请详情',
						}
					},//携出申请详情 - 二维码
					{
						path: 'info',
						name: 'XsyCommerceInfo',
						component: () => import('../views-xsy/Commerce/Info.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '携出申请详情',
						}
					},
					
				]
			},{//物品放行
				path: 'release',
				component: () => import('../views-xsy/Layout.vue'),
				children: [
					//物品放行审核列表
					{
						path: 'list',
						name: 'XsyReleaseList',
						component: () => import('../views-xsy/Release/List.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '物品放行审核列表',
						}
					},
				
					//物品放行审核详情
					{
						path: 'info',
						name: 'XsyReleaseInfo',
						component: () => import('../views-xsy/Release/Info.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '物品放行审核详情',
						}
					},
				]
			},{//扫码放行
				path: 'scan',
				component: () => import('../views-xsy/Layout.vue'),
				children: [
					//扫码放行
					{
						path: 'add',
						name: 'XsyScanAdd',
						component: () => import('../views-xsy/Scan/Add.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '扫码放行',
						}
					},
					//放行记录
					{
						path: 'list',
						name: 'XsyScanList',
						component: () => import('../views-xsy/Scan/List.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '放行记录',
						}
					},
					
					//核验详情
					{
						path: 'info',
						name: 'XsyScanInfo',
						component: () => import('../views-xsy/Scan/Info.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '核验详情',
						}
					},
					
				]
			},{//来客接待进餐申请
				path: 'treat',
				component: () => import('../views-xsy/Layout.vue'),
				children: [
					//来客接待进餐申请
					{
						path: 'list',
						name: 'XsyTreatList',
						component: () => import('../views-xsy/Treat/List.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '来客接待进餐申请',
						}
					},
				//申请接待
				{
					path: 'add',
					name: 'XsyTreatAdd',
					component: () => import('../views-xsy/Treat/Add.vue'),
					meta: {
						requireAuth: false,
						role: [],
						title: '申请接待',
					}
				},
					//申请详情
					{
						path: 'info',
						name: 'XsyTreatInfo',
						component: () => import('../views-xsy/Treat/Info.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '申请详情',
						}
					},
				]
			},{//来客接待进餐审核
				path: 'treatApproval',
				component: () => import('../views-xsy/Layout.vue'),
				children: [
					//来客接待进餐审核
					{
						path: 'list',
						name: 'XsyTreatApprovalList',
						component: () => import('../views-xsy/TreatApproval/List.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '来客接待进餐审核',
						}
					},
				
					//申请详情
					{
						path: 'info',
						name: 'XsyTreatApprovalInfo',
						component: () => import('../views-xsy/TreatApproval/Info.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '申请详情',
						}
					},
				]
			},{//饭卡
				path: 'meal',
				component: () => import('../views-xsy/Layout.vue'),
				children: [
					//饭卡主页
					{
						path: '',
						name: 'XsyMealHome',
						component: () => import('../views-xsy/Meal/Home.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '消息列表',
						}
					},
					//就餐记录
					{
						path: 'list',
						name: 'XsyMealList',
						component: () => import('../views-xsy/Meal/List.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '消息列表',
						}
					},
					//就餐详情
					{
						path: 'info',
						name: 'XsyMealInfo',
						component: () => import('../views-xsy/Meal/Info.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '就餐详情',
						}
					},
					
					//充值记录
					{
						path: 'recharge',
						name: 'XsyMealRecharge',
						component: () => import('../views-xsy/Meal/Recharge.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '充值记录',
						}
					},
					//充值明细
					{    
						path: 'rechargeinfo',
						name: 'XsyMealRechargeinfo',
						component: () => import('../views-xsy/Meal/Rechargeinfo.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '充值明细',
						}
					},
				]
			},
			{//饭卡
				path: 'beautify',
				component: () => import('../views-xsy/Layout.vue'),
				children: [
					//
					{
						path: 'page1',
						name: 'XsyBeautifyPage1',
						component: () => import('../views-xsy/Beautify/Page1.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '',
						}
					}, 
					//
					{
						path: 'page2',
						name: 'XsyBeautifyPage2',
						component: () => import('../views-xsy/Beautify/Page2.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '',
						}
					}, 
					//
					{
						path: 'page3',
						name: 'XsyBeautifyPage3',
						component: () => import('../views-xsy/Beautify/Page3.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '',
						}
					}, 
					//
					{
						path: 'page4',
						name: 'XsyBeautifyPage4',
						component: () => import('../views-xsy/Beautify/Page4.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '',
						}
					}, 
					//
					{
						path: 'page5',
						name: 'XsyBeautifyPage5',
						component: () => import('../views-xsy/Beautify/Page5.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '',
						}
					}, 
					//
					{
						path: 'page6',
						name: 'XsyBeautifyPage6',
						component: () => import('../views-xsy/Beautify/Page6.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '',
						}
					}, 
					//
					{
						path: 'page7',
						name: 'XsyBeautifyPage7',
						component: () => import('../views-xsy/Beautify/Page7.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '',
						}
					}, 
					//
					{
						path: 'page8',
						name: 'XsyBeautifyPage8',
						component: () => import('../views-xsy/Beautify/Page8.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '',
						}
					}, 
					//
					{
						path: 'page9',
						name: 'XsyBeautifyPage9',
						component: () => import('../views-xsy/Beautify/Page9.vue'),
						meta: {
							requireAuth: false,
							role: [],
							title: '',
						}
					}, 
				]
			},
		

		],
	}
]

export default routesXsy
